Package org.xnio.sasl

# Enum SaslStrength

java.lang.Object
java.lang.Enum<SaslStrength>
org.xnio.sasl.SaslStrength

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslStrength>`, `java.lang.constant.Constable`

public enum SaslStrength extends Enum<SaslStrength>
The SASL cipher strength value.

See Also:
  - `Sasl.STRENGTH`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
Specify high cipher strength.
`LOW`
Specify low cipher strength.
`MEDIUM`
Specify medium cipher strength.

## Method Summary

Modifier and Type
Method
Description
`static SaslStrength`
`fromString(String name)`
Get the SASL Strength level for the given string.
`String`
`toString()`
Returns the human-readable reprentation of this Strength value.
`static SaslStrength`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslStrength[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOW

public static final SaslStrength LOW
Specify low cipher strength.

### MEDIUM

public static final SaslStrength MEDIUM
Specify medium cipher strength.

### HIGH

public static final SaslStrength HIGH
Specify high cipher strength.

## Method Details

### values

public static SaslStrength[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SaslStrength valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static SaslStrength fromString(String name)
Get the SASL Strength level for the given string.

Parameters:
  `name` - the Strength level
Returns:
  the Strength value

### toString

public String toString()
Returns the human-readable reprentation of this Strength value.

Overrides:
  `toString` in class `Enum<SaslStrength>`
Returns:
  the string representation